# vim: noexpandtab
# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:		goautolock
Version:	1.4.2
Release:	1%{?dist}
Summary:	Killable autolocker for X11

License:	GPLv3
URL:		https://gitlab.com/mrvik/goautolock
Source0:	https://gitlab.com/mrvik/goautolock/-/archive/v%{version}/goautolock-v%{version}.tar.gz

BuildRequires:	libX11,libXScrnSaver,libnotify,glib2,libX11-devel,libXScrnSaver-devel,libnotify-devel,glib2-devel,go,git,make
Requires:	libX11,libXScrnSaver,libnotify,glib2

%description
Simple and killable autolocker for X11 written in go

%prep
%setup -q -n %{name}-v%{version}

%build
make build-with-debug

%install
make DESTDIR="%{buildroot}" PREFIX="%{_prefix}" install

%files
%license
%{_bindir}/goautolock
/usr/share/man/man1/%{name}.1.gz
%doc README.md

%changelog
* Mon Sep 16 2019 Víctor González - 1.4.2-1
- Update package version

* Tue Jul 30 2019 Víctor González - 1.4.1-2
- Use _prefix and buildroot instead of fakeroot and moving later
- Add docs

* Mon Jul 29 2019 Víctor González - 1.4.1-1
- Initial commit
- Fix a lot of things
